package com.jz.dm.filter;
import com.jz.dm.common.util.HddHashMap;
import com.jz.dm.common.util.RSAUtils;
import com.jz.dm.constant.Constants;
import com.jz.dm.model.enums.RouteType;
import com.jz.dm.model.GatewayRequest;
import com.jz.dm.model.GatewayResponse;
import com.jz.dm.model.OpenApi;
import com.jz.dm.model.RequestContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.security.interfaces.RSAPublicKey;

/**
 * 验签过滤器
 */
@Slf4j
@Component
public class VerifySignFilter extends AbstractFilter {

    //@Autowired
    //private IApiWhiteService apiWhiteService;

    private final static String CHARSET = "UTF-8";
    @Override
    public int getOrder() {
        return Constants.FILTER_ORDER_4;
    }

    @Override
    public String getFilterName() {
        return "VerifySignFilter";
    }
    @Override
    protected void internalDoFilter(GatewayRequest request, GatewayResponse response,
                                    FilterChain chain) {
        // 后期再扩展
        OpenApi openApi = new OpenApi();
        openApi.setApplication("JZ_API_GATEWAY");//应用
        openApi.setRouteType(RouteType.SPRINGBOOT);//漏油类型
        //openApi.setRouteType(RouteType.SRPING);//漏油类型
        RequestContext.getCurrentContext().set("openApi", openApi);

        chain.doFilter(request, response);
    }

}
